Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1429711 - [abrt] setroubleshoot-server: sighandler(): service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
Summary: [abrt] setroubleshoot-server: sighandler(): service.py:647:_message_cb:System...
Keywords:
Status: CLOSED DUPLICATE of bug 1366004
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d39da3bb52ff728109278f9b5c...
Depends On:
Blocks: F26FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2017-03-06 23:11 UTC by Stephen Gallagher
Modified: 2020-07-20 08:22 UTC (History)
258 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-15 05:53:59 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2017-03-06 23:11 UTC, Stephen Gallagher
no flags Details
File: cgroup (deleted)
2017-03-06 23:12 UTC, Stephen Gallagher
no flags Details
File: environ (deleted)
2017-03-06 23:12 UTC, Stephen Gallagher
no flags Details
File: mountinfo (deleted)
2017-03-06 23:12 UTC, Stephen Gallagher
no flags Details
File: namespaces (deleted)
2017-03-06 23:12 UTC, Stephen Gallagher
no flags Details
File: open_fds (deleted)
2017-03-06 23:12 UTC, Stephen Gallagher
no flags Details

Description Stephen Gallagher 2017-03-06 23:11:53 UTC
Version-Release number of selected component:
setroubleshoot-server-3.3.11-3.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
crash_function: sighandler
exception_type: SystemExit
executable:     /usr/sbin/setroubleshootd
kernel:         4.11.0-0.rc0.git9.1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            981

Truncated backtrace:
service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/connection.py", line 521, in _signal_func
    def _signal_func(self, message):
  File "/usr/lib/python3.6/site-packages/setroubleshoot/server.py", line 114, in sighandler
    sys.exit()
SystemExit

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/dbus/service.py", line 647, in _message_cb
    if not isinstance(message, MethodCallMessage):
SystemError: <built-in function isinstance> returned a result with an error set

Local variables in innermost frame:
self: <setroubleshoot.server.SetroubleshootdDBusObject at /org/fedoraproject/Setroubleshootd at 0x7f748d12d198>
message: <dbus.lowlevel.MethodCallMessage path: /org/fedoraproject/Setroubleshootd, iface: org.fedoraproject.SetroubleshootdIface, member: avc dest: org.fedoraproject.Setroubleshootd>
connection: <dbus._dbus.SystemBus (system) at 0x7f7485087518>

Potential duplicate: bug 1352209

Comment 1 Stephen Gallagher 2017-03-06 23:11:59 UTC
Created attachment 1260581 [details]
File: backtrace

Comment 2 Stephen Gallagher 2017-03-06 23:12:00 UTC
Created attachment 1260582 [details]
File: cgroup

Comment 3 Stephen Gallagher 2017-03-06 23:12:01 UTC
Created attachment 1260583 [details]
File: environ

Comment 4 Stephen Gallagher 2017-03-06 23:12:02 UTC
Created attachment 1260584 [details]
File: mountinfo

Comment 5 Stephen Gallagher 2017-03-06 23:12:03 UTC
Created attachment 1260585 [details]
File: namespaces

Comment 6 Stephen Gallagher 2017-03-06 23:12:04 UTC
Created attachment 1260586 [details]
File: open_fds

Comment 7 Adam Williamson 2017-04-11 21:28:47 UTC
Similar problem has been detected:

Found this after first boot of a Fedora 26 i686 Workstation install. Not sure what triggered it.

reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 -Es /usr/sbin/setroubleshootd -f ''
crash_function: sighandler
exception_type: SystemExit
executable:     /usr/sbin/setroubleshootd
kernel:         4.11.0-0.rc5.git0.1.fc26.i686+PAE
package:        setroubleshoot-server-3.3.11-3.fc26
reason:         service.py:647:_message_cb:SystemError: <built-in function isinstance> returned a result with an error set
runlevel:       N 5
type:           Python3
uid:            990

Comment 8 Fedora Blocker Bugs Application 2017-04-24 10:18:04 UTC
Proposed as a Blocker for 26-final by Fedora user genodeftest using the blocker tracking app because:

 This crasher happens at first boot, thus violating https://fedoraproject.org/wiki/Fedora_26_Final_Release_Criteria#SELinux_and_crash_notifications

Comment 9 Geoffrey Marr 2017-04-24 19:20:25 UTC
Discussed during the 2017-04-24 blocker review meeting: [1]

The decision to delay the classification of this bug was made as we need more data to make an informed decision.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-04-24/f26-blocker-review.2017-04-24-16.00.txt

Comment 10 Geoffrey Marr 2017-05-01 18:36:45 UTC
Discussed during the 2017-05-01 blocker review meeting: [1]

The decision to classify this bug as a RejectedBlocker was made as it does not seem to be widespread enough to warrant a blocker status. If this is found to be more widespread, we will reconsider it's blocker status.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2017-05-01/f26-blocker-review.2017-05-01-16.02.txt

Comment 11 Christian Stadelmann 2017-05-26 12:03:47 UTC
Related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1366004 (probably a duplicate)

Comment 12 Steve Grubb 2017-05-26 14:21:48 UTC
(In reply to Christian Stadelmann from comment #11)
> Related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1366004 (probably a
> duplicate)

It is a duplicate, just on F26. Line numbers changed but its the same thing.

Comment 13 Lukas Slebodnik 2017-06-14 08:15:58 UTC
(In reply to Steve Grubb from comment #12)
> (In reply to Christian Stadelmann from comment #11)
> > Related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1366004 (probably a
> > duplicate)
> 
> It is a duplicate, just on F26. Line numbers changed but its the same thing.
That BZ was moved to dbus-python and this one is still on setroubleshoot 


BTW. I annot reproduce it reliably but I hit it quite often. And it might be partially related to bug caused by "rpm --rebuilddb"
    bugzilla.redhat.com/show_bug.cgi?id=1461313#c2.

I just want to let you know.

Comment 14 Leslie Satenstein 2017-09-07 03:38:13 UTC
For my sysem, this issue (crash) only occurs when the installation is entirely on btrfs.

Comment 15 Petr Lautrbach 2017-09-15 05:53:59 UTC

*** This bug has been marked as a duplicate of bug 1366004 ***


Note You need to log in before you can comment on or make changes to this bug.